Project

General

Profile

Feature #8557

Feature #7544: Have a multiplatform Installer

Feature #8549: Have Tails Installer in Debian and Ubuntu

Have Tails Installer uploaded and accepted into Debian

Added by intrigeri almost 5 years ago. Updated almost 4 years ago.

Status:
Resolved
Priority:
High
Assignee:
Category:
Installation
Target version:
Start date:
01/06/2015
Due date:
% Done:

100%

Feature Branch:
Type of work:
Debian
Blueprint:
Starter:
Affected tool:
Installer

Related issues

Related to Tails - Feature #8806: Research calendar for inclusion in Ubuntu Resolved 01/27/2015
Blocked by Tails - Feature #8556: Make Tails Installer work fine outside of Tails Resolved 05/12/2015
Blocked by Tails - Feature #8980: Port Tails Installer to GTK 3 Resolved 07/13/2015
Blocked by Tails - Bug #9349: Tails Installer logging location is unsafe Resolved 05/06/2015
Blocked by Tails - Bug #10327: Verify and correct eventual encoding bugs in Tails installer Resolved 10/02/2015
Blocked by Tails - Feature #8553: Adapt Tails Installer packaging to its rename Resolved 01/06/2015
Blocks Tails - Feature #8563: Adjust Linux installation doc wrt. Tails Installer in Debian Resolved 01/06/2015
Blocked by Tails - Feature #9673: Rework wording of Tails installer in Jessie Resolved 09/23/2015
Blocked by Tails - Bug #10538: Do not install tails-installer to $PATH Resolved 11/12/2015
Blocked by Tails - Bug #10539: "Clone and upgrade" on Jessie pretends my Tails was not installed with our Installer Resolved 11/12/2015
Blocked by Tails - Bug #10691: Wrong directory name in Tails Installer's tarball Resolved 11/29/2015
Blocked by Tails - Bug #10692: Deal with Tails Installer' urlgrabber embedded copy Resolved 11/29/2015
Blocks Tails - Bug #10621: Rework command lines on expert scenario Resolved 11/24/2015
Blocks Tails - Feature #8805: Have Tails Installer in Jessie backports Resolved 01/27/2015

History

#1 Updated by intrigeri almost 5 years ago

  • Blocked by Feature #8556: Make Tails Installer work fine outside of Tails added

#2 Updated by intrigeri almost 5 years ago

  • Blocked by Feature #8555: Adapt packaging process and release doc for Tails Installer DFSG-free tarball added

#4 Updated by sajolida over 4 years ago

  • Related to Feature #8806: Research calendar for inclusion in Ubuntu added

#5 Updated by sajolida over 4 years ago

  • Target version changed from Hardening_M1 to Tails_1.5

#6 Updated by sajolida over 4 years ago

If we want Tails Installer to be in Ubuntu 15.10, our package needs to be in Debian about two months in advance, so around August 2015.

But let's check https://wiki.ubuntu.com/VividVervet/ReleaseSchedule before that just to be sure.

#7 Updated by intrigeri over 4 years ago

#8 Updated by sajolida over 4 years ago

  • Blocked by Feature #8866: Rework the wording of Tails Installer added

#9 Updated by intrigeri over 4 years ago

  • Blocked by Bug #9349: Tails Installer logging location is unsafe added

#10 Updated by u about 4 years ago

  • Target version changed from Tails_1.5 to Tails_1.6

#11 Updated by u about 4 years ago

  • Target version changed from Tails_1.6 to Tails_1.7

#12 Updated by intrigeri about 4 years ago

  • Blocked by Bug #10327: Verify and correct eventual encoding bugs in Tails installer added

#13 Updated by intrigeri about 4 years ago

  • Blocked by Feature #8553: Adapt Tails Installer packaging to its rename added

#14 Updated by intrigeri about 4 years ago

  • Blocks Feature #8563: Adjust Linux installation doc wrt. Tails Installer in Debian added

#15 Updated by intrigeri about 4 years ago

  • Blocked by deleted (Feature #8866: Rework the wording of Tails Installer)

#16 Updated by intrigeri about 4 years ago

  • Blocked by Feature #9673: Rework wording of Tails installer in Jessie added

#17 Updated by intrigeri about 4 years ago

  • Blocked by deleted (Feature #8555: Adapt packaging process and release doc for Tails Installer DFSG-free tarball)

#18 Updated by intrigeri almost 4 years ago

  • Priority changed from Normal to High
  • Target version changed from Tails_1.7 to Tails_1.8

Raising priority since I'm playing our last "I can postpone" card.

#19 Updated by intrigeri almost 4 years ago

  • Status changed from Confirmed to In Progress

I've given a look to the current state of things, here are some comments to avoid too many round-trips.

Reminder from an IM chat: Maintainer/Uploaders shall be updated to not include tails@.

On debian/sid I see:

-tails-installer (4.4.2+dfsg-0tails1) feature-jessie; urgency=medium
+tails-installer (4.4.2+dfsg-1) UNRELEASED; urgency=medium

.. and I'm not sure if we really want to act as if -0tails1 had never existed. In doubt I would instead add an entry for the -1 package.

The tails/jessie..debian/sid diff contains a change to debian/control, seems weird. Please make sure the right version is in both branches.

#20 Updated by u almost 4 years ago

  • Blocked by Bug #10538: Do not install tails-installer to $PATH added

#21 Updated by intrigeri almost 4 years ago

  • Blocked by deleted (Bug #10538: Do not install tails-installer to $PATH)

#22 Updated by intrigeri almost 4 years ago

  • Blocked by Bug #10538: Do not install tails-installer to $PATH added

#23 Updated by intrigeri almost 4 years ago

  • Blocked by Bug #10539: "Clone and upgrade" on Jessie pretends my Tails was not installed with our Installer added

#24 Updated by intrigeri almost 4 years ago

  • Blocked by Bug #10660: Tails Installer 4.x crashes when a pristine USB drive is plugged added

#25 Updated by intrigeri almost 4 years ago

  • Blocked by deleted (Bug #10660: Tails Installer 4.x crashes when a pristine USB drive is plugged)

#26 Updated by intrigeri almost 4 years ago

intrigeri wrote:

.. and I'm not sure if we really want to act as if -0tails1 had never existed. In doubt I would instead add an entry for the -1 package.

This has been fixed already, apparently.

The tails/jessie..debian/sid diff contains a change to debian/control, seems weird. Please make sure the right version is in both branches.

I've just fixed it myself on both branches.

#27 Updated by intrigeri almost 4 years ago

  • Assignee changed from u to intrigeri

I'm going to upload RSN and will take care of minor glitches until ~the end of the year, so that U can focus on Icedove.

#28 Updated by intrigeri almost 4 years ago

  • % Done changed from 0 to 10

Uploaded.

#29 Updated by intrigeri almost 4 years ago

I should have made it clear: uploaded to experimental, due to #10660.

#31 Updated by u almost 4 years ago

yay!

#32 Updated by intrigeri almost 4 years ago

  • Blocked by Bug #10691: Wrong directory name in Tails Installer's tarball added

#33 Updated by intrigeri almost 4 years ago

  • Blocked by Bug #10692: Deal with Tails Installer' urlgrabber embedded copy added

#34 Updated by intrigeri almost 4 years ago

  • % Done changed from 10 to 20

Fixed an issue ftpmasters noticed, and another one I noticed myself, then re-uploaded.

#35 Updated by sajolida almost 4 years ago

  • Blocks Bug #10621: Rework command lines on expert scenario added

#36 Updated by intrigeri almost 4 years ago

  • Target version changed from Tails_1.8 to Tails_2.0

It's unlikely that the package is accepted in the next 2 days, cleaning up my 1.8 plate.

#37 Updated by intrigeri almost 4 years ago

Asked a ftpmaster if he can take care of it, as a personal favour.

#38 Updated by intrigeri almost 4 years ago

  • % Done changed from 20 to 50

It's been accepted in experimental. I'll shortly upload a newer version to sid.

#39 Updated by intrigeri almost 4 years ago

  • Blocks Feature #8805: Have Tails Installer in Jessie backports added

#40 Updated by intrigeri almost 4 years ago

  • % Done changed from 50 to 90

Uploaded to sid.

#41 Updated by intrigeri almost 4 years ago

  • Status changed from In Progress to Resolved
  • % Done changed from 90 to 100

"tails-installer_4.4.6+dfsg-1_sourceonly.changes ACCEPTED into unstable" :)

Next steps are tracked on #8805.

#42 Updated by u almost 4 years ago

intrigeri wrote:

"tails-installer_4.4.6+dfsg-1_sourceonly.changes ACCEPTED into unstable" :)

awesome :)

Also available in: Atom PDF